-
    ^merge: feature
    text: |
        Write a program that works like the following example:
        ```
        Type a number: 3
        Result: 1 12 123

        Type a number: 7
        Result: 1 12 123 1234 12345 123456 1234567
        ```

-
    ^merge: feature
    text: |
        Write a program that works like the following example:
        ```
        Type a sentence: Short sentence.
        Results:
        - Short
        - Short sentence.

        Type a sentence: This is a test.
        Results:
        - This
        - This is
        - This is a
        - This is a test.
        ```

-
    ^merge: feature
    text: |
        Write a program that works like the following example:
        ```
        Type a string containing a pair of *star characters*: Hello *world*!
        Result: Hello WORLD!

        Type a string containing a pair of *star characters*: This is *awesome*, don't you think?
        Result: This is AWESOME, don't you think? 

        Type a string containing a pair of *star characters*: And *now* with *two* pairs.
        Result: And NOW with TWO pairs. 
        ```

        Hint: Use two calls to `find`.
        Hint: Iterate the input string character-by-character, or loop until you have processed all '*'chars..


-
    title: Punctuality
    must: true
    text: |
        Make sure that the output of your program:

        - Closely matches the example outputs.
        - Contains no spelling errors. *Hint*: Install the *Code Spell Checker* extension (by *streetsidesoftware*) for Visual Studio Code. Just take a minute to do this. Really.
        - Uses correct and easy to understand messages.
        - Uses capital letters, white spaces and punctuation in all the right places.

        This is the last assignment for which *punctuality* is explicitly listed as an objective. Your teachers will continue to reject sloppy work though.
